configure
资源名称:NETVIDEO.rar [点击查看]
上传用户:sun1608
上传日期:2007-02-02
资源大小:6116k
文件大小:420k
源码类别:
流媒体/Mpeg4/MP4
开发平台:
Visual C++
- echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
- if test "$ac_test_CFLAGS" = set; then
- CFLAGS=$ac_save_CFLAGS
- elif test $ac_cv_prog_cc_g = yes; then
- if test "$GCC" = yes; then
- CFLAGS="-g -O2"
- else
- CFLAGS="-g"
- fi
- else
- if test "$GCC" = yes; then
- CFLAGS="-O2"
- else
- CFLAGS=
- fi
- fi
- # Some people use a C++ compiler to compile C. Since we use `exit',
- # in C++ we need to declare it. In case someone uses the same compiler
- # for both compiling C and C++ we need to have the C++ compiler decide
- # the declaration of exit, since it's the most demanding environment.
- cat >conftest.$ac_ext <<_ACEOF
- #ifndef __cplusplus
- choke me
- #endif
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- for ac_declaration in
- ''
- '#include <stdlib.h>'
- 'extern "C" void std::exit (int) throw (); using std::exit;'
- 'extern "C" void std::exit (int); using std::exit;'
- 'extern "C" void exit (int) throw ();'
- 'extern "C" void exit (int);'
- 'void exit (int);'
- do
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdlib.h>
- $ac_declaration
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- continue
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- $ac_declaration
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- break
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- done
- rm -f conftest*
- if test -n "$ac_declaration"; then
- echo '#ifdef __cplusplus' >>confdefs.h
- echo $ac_declaration >>confdefs.h
- echo '#endif' >>confdefs.h
- fi
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- depcc="$CC" am_compiler_list=
- echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
- echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
- if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
- # We make a subdir and do the tests there. Otherwise we can end up
- # making bogus files that we don't know about and never remove. For
- # instance it was reported that on HP-UX the gcc test will end up
- # making a dummy file named `D' -- because `-MD' means `put the output
- # in D'.
- mkdir conftest.dir
- # Copy depcomp to subdir because otherwise we won't find it if we're
- # using a relative directory.
- cp "$am_depcomp" conftest.dir
- cd conftest.dir
- am_cv_CC_dependencies_compiler_type=none
- if test "$am_compiler_list" = ""; then
- am_compiler_list=`sed -n 's/^#*([a-zA-Z0-9]*))$/1/p' < ./depcomp`
- fi
- for depmode in $am_compiler_list; do
- # We need to recreate these files for each test, as the compiler may
- # overwrite some of them when testing with obscure command lines.
- # This happens at least with the AIX C compiler.
- echo '#include "conftest.h"' > conftest.c
- echo 'int i;' > conftest.h
- echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
- case $depmode in
- nosideeffect)
- # after this tag, mechanisms are not by side-effect, so they'll
- # only be used when explicitly requested
- if test "x$enable_dependency_tracking" = xyes; then
- continue
- else
- break
- fi
- ;;
- none) break ;;
- esac
- # We check with `-c' and `-o' for the sake of the "dashmstdout"
- # mode. It turns out that the SunPro C++ compiler does not properly
- # handle `-M -o', and we need to detect this.
- if depmode=$depmode
- source=conftest.c object=conftest.o
- depfile=conftest.Po tmpdepfile=conftest.TPo
- $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
- grep conftest.h conftest.Po > /dev/null 2>&1 &&
- ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
- am_cv_CC_dependencies_compiler_type=$depmode
- break
- fi
- done
- cd ..
- rm -rf conftest.dir
- else
- am_cv_CC_dependencies_compiler_type=none
- fi
- fi
- echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
- echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
- CCDEPMODE="depmode=$am_cv_CC_dependencies_compiler_type"
- echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
- echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
- if test "${ac_cv_prog_cc_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_cv_prog_cc_stdc=no
- ac_save_CC=$CC
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdarg.h>
- #include <stdio.h>
- #include <sys/types.h>
- #include <sys/stat.h>
- /* Most of the following tests are stolen from RCS 5.7's src/conf.sh. */
- struct buf { int x; };
- FILE * (*rcsopen) (struct buf *, struct stat *, int);
- static char *e (p, i)
- char **p;
- int i;
- {
- return p[i];
- }
- static char *f (char * (*g) (char **, int), char **p, ...)
- {
- char *s;
- va_list v;
- va_start (v,p);
- s = g (p, va_arg (v,int));
- va_end (v);
- return s;
- }
- int test (int i, double x);
- struct s1 {int (*f) (int a);};
- struct s2 {int (*f) (double a);};
- int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
- int argc;
- char **argv;
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- return f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1];
- ;
- return 0;
- }
- _ACEOF
- # Don't try gcc -ansi; that turns off useful extensions and
- # breaks some systems' header files.
- # AIX -qlanglvl=ansi
- # Ultrix and OSF/1 -std1
- # HP-UX 10.20 and later -Ae
- # HP-UX older versions -Aa -D_HPUX_SOURCE
- # SVR4 -Xc -D__EXTENSIONS__
- for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
- do
- CC="$ac_save_CC $ac_arg"
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_prog_cc_stdc=$ac_arg
- break
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext
- done
- rm -f conftest.$ac_ext conftest.$ac_objext
- CC=$ac_save_CC
- fi
- case "x$ac_cv_prog_cc_stdc" in
- x|xno)
- echo "$as_me:$LINENO: result: none needed" >&5
- echo "${ECHO_T}none needed" >&6 ;;
- *)
- echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
- echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
- CC="$CC $ac_cv_prog_cc_stdc" ;;
- esac
- echo "$as_me:$LINENO: checking for inline" >&5
- echo $ECHO_N "checking for inline... $ECHO_C" >&6
- if test "${ac_cv_c_inline+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_cv_c_inline=no
- for ac_kw in inline __inline__ __inline; do
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifndef __cplusplus
- static $ac_kw int static_foo () {return 0; }
- $ac_kw int foo () {return 0; }
- #endif
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_c_inline=$ac_kw; break
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- done
- fi
- echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
- echo "${ECHO_T}$ac_cv_c_inline" >&6
- case $ac_cv_c_inline in
- inline | yes) ;;
- no)
- cat >>confdefs.h <<_ACEOF
- #define inline
- _ACEOF
- ;;
- *) cat >>confdefs.h <<_ACEOF
- #define inline $ac_cv_c_inline
- _ACEOF
- ;;
- esac
- echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
- echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
- if test "${ac_cv_c_const+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- /* FIXME: Include the comments suggested by Paul. */
- #ifndef __cplusplus
- /* Ultrix mips cc rejects this. */
- typedef int charset[2];
- const charset x;
- /* SunOS 4.1.1 cc rejects this. */
- char const *const *ccp;
- char **p;
- /* NEC SVR4.0.2 mips cc rejects this. */
- struct point {int x, y;};
- static struct point const zero = {0,0};
- /* AIX XL C 1.02.0.0 rejects this.
- It does not let you subtract one const X* pointer from another in
- an arm of an if-expression whose if-part is not a constant
- expression */
- const char *g = "string";
- ccp = &g + (g ? g-g : 0);
- /* HPUX 7.0 cc rejects these. */
- ++ccp;
- p = (char**) ccp;
- ccp = (char const *const *) p;
- { /* SCO 3.2v4 cc rejects this. */
- char *t;
- char const *s = 0 ? (char *) 0 : (char const *) 0;
- *t++ = 0;
- }
- { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
- int x[] = {25, 17};
- const int *foo = &x[0];
- ++foo;
- }
- { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
- typedef const int *iptr;
- iptr p = 0;
- ++p;
- }
- { /* AIX XL C 1.02.0.0 rejects this saying
- "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
- struct s { int j; const int *ap[3]; };
- struct s *b; b->j = 5;
- }
- { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
- const int foo = 10;
- }
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_c_const=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_c_const=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
- echo "${ECHO_T}$ac_cv_c_const" >&6
- if test $ac_cv_c_const = no; then
- cat >>confdefs.h <<_ACEOF
- #define const
- _ACEOF
- fi
- OBJC="???"
- ac_ext=cc
- ac_cpp='$CXXCPP $CPPFLAGS'
- ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- if test -n "$ac_tool_prefix"; then
- for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
- do
- # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
- set dummy $ac_tool_prefix$ac_prog; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_prog_CXX+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test -n "$CXX"; then
- ac_cv_prog_CXX="$CXX" # Let the user override the test.
- else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- fi
- fi
- CXX=$ac_cv_prog_CXX
- if test -n "$CXX"; then
- echo "$as_me:$LINENO: result: $CXX" >&5
- echo "${ECHO_T}$CXX" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- test -n "$CXX" && break
- done
- fi
- if test -z "$CXX"; then
- ac_ct_CXX=$CXX
- for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
- do
- # Extract the first word of "$ac_prog", so it can be a program name with args.
- set dummy $ac_prog; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test -n "$ac_ct_CXX"; then
- ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
- else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_prog_ac_ct_CXX="$ac_prog"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- fi
- fi
- ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
- if test -n "$ac_ct_CXX"; then
- echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
- echo "${ECHO_T}$ac_ct_CXX" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- test -n "$ac_ct_CXX" && break
- done
- test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
- CXX=$ac_ct_CXX
- fi
- # Provide some information about the compiler.
- echo "$as_me:$LINENO:"
- "checking for C++ compiler version" >&5
- ac_compiler=`set X $ac_compile; echo $2`
- { (eval echo "$as_me:$LINENO: "$ac_compiler --version </dev/null >&5"") >&5
- (eval $ac_compiler --version </dev/null >&5) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }
- { (eval echo "$as_me:$LINENO: "$ac_compiler -v </dev/null >&5"") >&5
- (eval $ac_compiler -v </dev/null >&5) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }
- { (eval echo "$as_me:$LINENO: "$ac_compiler -V </dev/null >&5"") >&5
- (eval $ac_compiler -V </dev/null >&5) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }
- echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
- echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
- if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- #ifndef __GNUC__
- choke me
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_compiler_gnu=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_compiler_gnu=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
- fi
- echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
- echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
- GXX=`test $ac_compiler_gnu = yes && echo yes`
- ac_test_CXXFLAGS=${CXXFLAGS+set}
- ac_save_CXXFLAGS=$CXXFLAGS
- CXXFLAGS="-g"
- echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
- echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
- if test "${ac_cv_prog_cxx_g+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_prog_cxx_g=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_prog_cxx_g=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
- echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
- if test "$ac_test_CXXFLAGS" = set; then
- CXXFLAGS=$ac_save_CXXFLAGS
- elif test $ac_cv_prog_cxx_g = yes; then
- if test "$GXX" = yes; then
- CXXFLAGS="-g -O2"
- else
- CXXFLAGS="-g"
- fi
- else
- if test "$GXX" = yes; then
- CXXFLAGS="-O2"
- else
- CXXFLAGS=
- fi
- fi
- for ac_declaration in
- ''
- '#include <stdlib.h>'
- 'extern "C" void std::exit (int) throw (); using std::exit;'
- 'extern "C" void std::exit (int); using std::exit;'
- 'extern "C" void exit (int) throw ();'
- 'extern "C" void exit (int);'
- 'void exit (int);'
- do
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdlib.h>
- $ac_declaration
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- continue
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- $ac_declaration
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- break
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- done
- rm -f conftest*
- if test -n "$ac_declaration"; then
- echo '#ifdef __cplusplus' >>confdefs.h
- echo $ac_declaration >>confdefs.h
- echo '#endif' >>confdefs.h
- fi
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- depcc="$CXX" am_compiler_list=
- echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
- echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
- if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
- # We make a subdir and do the tests there. Otherwise we can end up
- # making bogus files that we don't know about and never remove. For
- # instance it was reported that on HP-UX the gcc test will end up
- # making a dummy file named `D' -- because `-MD' means `put the output
- # in D'.
- mkdir conftest.dir
- # Copy depcomp to subdir because otherwise we won't find it if we're
- # using a relative directory.
- cp "$am_depcomp" conftest.dir
- cd conftest.dir
- am_cv_CXX_dependencies_compiler_type=none
- if test "$am_compiler_list" = ""; then
- am_compiler_list=`sed -n 's/^#*([a-zA-Z0-9]*))$/1/p' < ./depcomp`
- fi
- for depmode in $am_compiler_list; do
- # We need to recreate these files for each test, as the compiler may
- # overwrite some of them when testing with obscure command lines.
- # This happens at least with the AIX C compiler.
- echo '#include "conftest.h"' > conftest.c
- echo 'int i;' > conftest.h
- echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
- case $depmode in
- nosideeffect)
- # after this tag, mechanisms are not by side-effect, so they'll
- # only be used when explicitly requested
- if test "x$enable_dependency_tracking" = xyes; then
- continue
- else
- break
- fi
- ;;
- none) break ;;
- esac
- # We check with `-c' and `-o' for the sake of the "dashmstdout"
- # mode. It turns out that the SunPro C++ compiler does not properly
- # handle `-M -o', and we need to detect this.
- if depmode=$depmode
- source=conftest.c object=conftest.o
- depfile=conftest.Po tmpdepfile=conftest.TPo
- $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
- grep conftest.h conftest.Po > /dev/null 2>&1 &&
- ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
- am_cv_CXX_dependencies_compiler_type=$depmode
- break
- fi
- done
- cd ..
- rm -rf conftest.dir
- else
- am_cv_CXX_dependencies_compiler_type=none
- fi
- fi
- echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
- echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
- CXXDEPMODE="depmode=$am_cv_CXX_dependencies_compiler_type"
- # Find a good install program. We prefer a C program (faster),
- # so one script is as good as another. But avoid the broken or
- # incompatible versions:
- # SysV /etc/install, /usr/sbin/install
- # SunOS /usr/etc/install
- # IRIX /sbin/install
- # AIX /bin/install
- # AmigaOS /C/install, which installs bootblocks on floppy discs
- # AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
- # AFS /usr/afsws/bin/install, which mishandles nonexistent args
- # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
- # ./install, which can be erroneously created by make from ./install.sh.
- echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
- echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
- if test -z "$INSTALL"; then
- if test "${ac_cv_path_install+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- # Account for people who put trailing slashes in PATH elements.
- case $as_dir/ in
- ./ | .// | /cC/* |
- /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* |
- /usr/ucb/* ) ;;
- *)
- # OSF1 and SCO ODT 3.0 have their own names for install.
- # Don't use installbsd from OSF since it installs stuff as root
- # by default.
- for ac_prog in ginstall scoinst install; do
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
- if test $ac_prog = install &&
- grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
- # AIX install. It has an incompatible calling convention.
- :
- elif test $ac_prog = install &&
- grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
- # program-specific install script used by HP pwplus--don't use.
- :
- else
- ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
- break 3
- fi
- fi
- done
- done
- ;;
- esac
- done
- fi
- if test "${ac_cv_path_install+set}" = set; then
- INSTALL=$ac_cv_path_install
- else
- # As a last resort, use the slow shell script. We don't cache a
- # path for INSTALL within a source directory, because that will
- # break other packages using the cache if that directory is
- # removed, or if the path is relative.
- INSTALL=$ac_install_sh
- fi
- fi
- echo "$as_me:$LINENO: result: $INSTALL" >&5
- echo "${ECHO_T}$INSTALL" >&6
- # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
- # It thinks the first close brace ends the variable substitution.
- test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
- test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
- test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
- echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
- # On Suns, sometimes $CPP names a directory.
- if test -n "$CPP" && test -d "$CPP"; then
- CPP=
- fi
- if test -z "$CPP"; then
- if test "${ac_cv_prog_CPP+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- # Double quotes because CPP needs to be expanded
- for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
- do
- ac_preproc_ok=false
- for ac_c_preproc_warn_flag in '' yes
- do
- # Use a header file that comes with gcc, so configuring glibc
- # with a fresh cross-compiler works.
- # On the NeXT, cc -E runs the code through the compiler's parser,
- # not just through cpp. "Syntax error" is here to catch this case.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <assert.h>
- Syntax error
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- :
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Broken: fails on valid input.
- continue
- fi
- rm -f conftest.err conftest.$ac_ext
- # OK, works on sane cases. Now check whether non-existent headers
- # can be detected and how.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <ac_nonexistent.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- # Broken: success on invalid input.
- continue
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Passes both tests.
- ac_preproc_ok=:
- break
- fi
- rm -f conftest.err conftest.$ac_ext
- done
- # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
- rm -f conftest.err conftest.$ac_ext
- if $ac_preproc_ok; then
- break
- fi
- done
- ac_cv_prog_CPP=$CPP
- fi
- CPP=$ac_cv_prog_CPP
- else
- ac_cv_prog_CPP=$CPP
- fi
- echo "$as_me:$LINENO: result: $CPP" >&5
- echo "${ECHO_T}$CPP" >&6
- ac_preproc_ok=false
- for ac_c_preproc_warn_flag in '' yes
- do
- # Use a header file that comes with gcc, so configuring glibc
- # with a fresh cross-compiler works.
- # On the NeXT, cc -E runs the code through the compiler's parser,
- # not just through cpp. "Syntax error" is here to catch this case.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <assert.h>
- Syntax error
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- :
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Broken: fails on valid input.
- continue
- fi
- rm -f conftest.err conftest.$ac_ext
- # OK, works on sane cases. Now check whether non-existent headers
- # can be detected and how.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <ac_nonexistent.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- # Broken: success on invalid input.
- continue
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- # Passes both tests.
- ac_preproc_ok=:
- break
- fi
- rm -f conftest.err conftest.$ac_ext
- done
- # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
- rm -f conftest.err conftest.$ac_ext
- if $ac_preproc_ok; then
- :
- else
- { { echo "$as_me:$LINENO: error: C preprocessor "$CPP" fails sanity check" >&5
- echo "$as_me: error: C preprocessor "$CPP" fails sanity check" >&2;}
- { (exit 1); exit 1; }; }
- fi
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
- # for constant arguments. Useless!
- echo "$as_me:$LINENO: checking for working alloca.h" >&5
- echo $ECHO_N "checking for working alloca.h... $ECHO_C" >&6
- if test "${ac_cv_working_alloca_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <alloca.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- char *p = (char *) alloca (2 * sizeof (int));
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_working_alloca_h=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_working_alloca_h=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_working_alloca_h" >&5
- echo "${ECHO_T}$ac_cv_working_alloca_h" >&6
- if test $ac_cv_working_alloca_h = yes; then
- cat >>confdefs.h <<_ACEOF
- #define HAVE_ALLOCA_H 1
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for alloca" >&5
- echo $ECHO_N "checking for alloca... $ECHO_C" >&6
- if test "${ac_cv_func_alloca_works+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifdef __GNUC__
- # define alloca __builtin_alloca
- #else
- # ifdef _MSC_VER
- # include <malloc.h>
- # define alloca _alloca
- # else
- # if HAVE_ALLOCA_H
- # include <alloca.h>
- # else
- # ifdef _AIX
- #pragma alloca
- # else
- # ifndef alloca /* predefined by HP cc +Olibcalls */
- char *alloca ();
- # endif
- # endif
- # endif
- # endif
- #endif
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- char *p = (char *) alloca (1);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_alloca_works=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_func_alloca_works=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_func_alloca_works" >&5
- echo "${ECHO_T}$ac_cv_func_alloca_works" >&6
- if test $ac_cv_func_alloca_works = yes; then
- cat >>confdefs.h <<_ACEOF
- #define HAVE_ALLOCA 1
- _ACEOF
- else
- # The SVR3 libPW and SVR4 libucb both contain incompatible functions
- # that cause trouble. Some versions do not even contain alloca or
- # contain a buggy version. If you still want to use their alloca,
- # use ar to extract alloca.o from them instead of compiling alloca.c.
- ALLOCA=alloca.$ac_objext
- cat >>confdefs.h <<_ACEOF
- #define C_ALLOCA 1
- _ACEOF
- echo "$as_me:$LINENO: checking whether `alloca.c' needs Cray hooks" >&5
- echo $ECHO_N "checking whether `alloca.c' needs Cray hooks... $ECHO_C" >&6
- if test "${ac_cv_os_cray+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #if defined(CRAY) && ! defined(CRAY2)
- webecray
- #else
- wenotbecray
- #endif
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- egrep "webecray" >/dev/null 2>&1; then
- ac_cv_os_cray=yes
- else
- ac_cv_os_cray=no
- fi
- rm -f conftest*
- fi
- echo "$as_me:$LINENO: result: $ac_cv_os_cray" >&5
- echo "${ECHO_T}$ac_cv_os_cray" >&6
- if test $ac_cv_os_cray = yes; then
- for ac_func in _getb67 GETB67 getb67; do
- as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_func" >&5
- echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
- if eval "test "${$as_ac_var+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char $ac_func (); below. */
- #include <assert.h>
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char $ac_func ();
- char (*f) ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
- choke me
- #else
- f = $ac_func;
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_var=yes"
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- eval "$as_ac_var=no"
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
- if test `eval echo '${'$as_ac_var'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define CRAY_STACKSEG_END $ac_func
- _ACEOF
- break
- fi
- done
- fi
- echo "$as_me:$LINENO: checking stack direction for C alloca" >&5
- echo $ECHO_N "checking stack direction for C alloca... $ECHO_C" >&6
- if test "${ac_cv_c_stack_direction+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test "$cross_compiling" = yes; then
- ac_cv_c_stack_direction=0
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- int
- find_stack_direction ()
- {
- static char *addr = 0;
- auto char dummy;
- if (addr == 0)
- {
- addr = &dummy;
- return find_stack_direction ();
- }
- else
- return (&dummy > addr) ? 1 : -1;
- }
- int
- main ()
- {
- exit (find_stack_direction () < 0);
- }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_c_stack_direction=1
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ( exit $ac_status )
- ac_cv_c_stack_direction=-1
- fi
- rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5
- echo "${ECHO_T}$ac_cv_c_stack_direction" >&6
- cat >>confdefs.h <<_ACEOF
- #define STACK_DIRECTION $ac_cv_c_stack_direction
- _ACEOF
- fi
- ASFLAGS=""
- CCAS=gcc
- CCASFLAGS=""
- if false; then
- USE_DIRECTX_TRUE=
- USE_DIRECTX_FALSE='#'
- else
- USE_DIRECTX_TRUE='#'
- USE_DIRECTX_FALSE=
- fi
- case "$target" in
- alpha*-*-linux*)
- if test x$ac_cv_c_compiler_gnu = xyes; then
- CFLAGS="$CFLAGS -mcpu=ev4 -Wa,-mall"
- fi
- ;;
- esac
- # Check whether --enable-debug or --disable-debug was given.
- if test "${enable_debug+set}" = set; then
- enableval="$enable_debug"
- else
- enable_debug=yes
- fi;
- if test x$enable_debug != xyes; then
- if test x$ac_cv_c_compiler_gnu = xyes; then
- CFLAGS="$CFLAGS -fexpensive-optimizations"
- # Ack! This breaks the MMX YV12 conversion on gcc 2.95.2
- # CFLAGS="$CFLAGS -fomit-frame-pointer"
- fi
- case "$target" in
- i486-*-*)
- if test x$ac_cv_c_compiler_gnu = xyes; then
- CFLAGS="$CFLAGS -march=486"
- fi
- ;;
- i?86-*-*)
- if test x$ac_cv_c_compiler_gnu = xyes; then
- CFLAGS="$CFLAGS -march=pentium -mcpu=pentiumpro"
- fi
- ;;
- *-*-osf*)
- if test x$ac_cv_c_compiler_gnu != xyes; then
- CFLAGS="-g3 -fast -arch host"
- fi
- ;;
- esac
- fi
- # Check whether --enable-strict-ansi or --disable-strict-ansi was given.
- if test "${enable_strict_ansi+set}" = set; then
- enableval="$enable_strict_ansi"
- else
- enable_strict_ansi=no
- fi;
- if test x$ac_cv_c_compiler_gnu = xyes; then
- CFLAGS="$CFLAGS -Wall"
- if test x$enable_strict_ansi = xyes; then
- CFLAGS="$CFLAGS -ansi -pedantic -D_XOPEN_SOURCE"
- fi
- fi
- SDL_CFLAGS=""
- SDL_LIBS="-lSDL"
- case "$target" in
- *-*-cygwin* | *-*-mingw32*)
- MATHLIB=""
- ;;
- *-*-beos*)
- MATHLIB=""
- ;;
- *-*-darwin*)
- MATHLIB=""
- ;;
- *)
- MATHLIB="-lm"
- ;;
- esac
- SYSTEM_LIBS="$SYSTEM_LIBS $MATHLIB"
- # Check whether --enable-audio or --disable-audio was given.
- if test "${enable_audio+set}" = set; then
- enableval="$enable_audio"
- else
- enable_audio=yes
- fi;
- if test x$enable_audio = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS audio"
- SDL_EXTRALIBS="$SDL_EXTRALIBS audio/libaudio.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_AUDIO"
- fi
- # Check whether --enable-video or --disable-video was given.
- if test "${enable_video+set}" = set; then
- enableval="$enable_video"
- else
- enable_video=yes
- fi;
- if test x$enable_video = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS video"
- SDL_EXTRALIBS="$SDL_EXTRALIBS video/libvideo.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_VIDEO"
- fi
- # Check whether --enable-events or --disable-events was given.
- if test "${enable_events+set}" = set; then
- enableval="$enable_events"
- else
- enable_events=yes
- fi;
- if test x$enable_video = xyes -a x$enable_events = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS events"
- SDL_EXTRALIBS="$SDL_EXTRALIBS events/libevents.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_EVENTS"
- fi
- # Check whether --enable-joystick or --disable-joystick was given.
- if test "${enable_joystick+set}" = set; then
- enableval="$enable_joystick"
- else
- enable_joystick=yes
- fi;
- if test x$enable_joystick = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS joystick"
- SDL_EXTRALIBS="$SDL_EXTRALIBS joystick/libjoystick.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_JOYSTICK"
- fi
- # Check whether --enable-cdrom or --disable-cdrom was given.
- if test "${enable_cdrom+set}" = set; then
- enableval="$enable_cdrom"
- else
- enable_cdrom=yes
- fi;
- if test x$enable_cdrom = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS cdrom"
- SDL_EXTRALIBS="$SDL_EXTRALIBS cdrom/libcdrom.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_CDROM"
- fi
- # Check whether --enable-threads or --disable-threads was given.
- if test "${enable_threads+set}" = set; then
- enableval="$enable_threads"
- else
- enable_threads=yes
- fi;
- SDL_EXTRADIRS="$SDL_EXTRADIRS thread"
- SDL_EXTRALIBS="$SDL_EXTRALIBS thread/libthread.la"
- if test x$enable_threads != xyes; then
- CFLAGS="$CFLAGS -DDISABLE_THREADS"
- echo "Copying src/thread/generic/SDL_systhread.c -> src/thread/SDL_systhread.c"
- old="$srcdir/src/thread/generic/SDL_systhread.c"
- new="$srcdir/src/thread/SDL_systhread.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_systhread_c.h -> src/thread/SDL_systhread_c.h"
- old="$srcdir/src/thread/generic/SDL_systhread_c.h"
- new="$srcdir/src/thread/SDL_systhread_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_sysmutex.c -> src/thread/SDL_sysmutex.c"
- old="$srcdir/src/thread/generic/SDL_sysmutex.c"
- new="$srcdir/src/thread/SDL_sysmutex.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_sysmutex_c.h -> src/thread/SDL_sysmutex_c.h"
- old="$srcdir/src/thread/generic/SDL_sysmutex_c.h"
- new="$srcdir/src/thread/SDL_sysmutex_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/generic/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syssem_c.h -> src/thread/SDL_syssem_c.h"
- old="$srcdir/src/thread/generic/SDL_syssem_c.h"
- new="$srcdir/src/thread/SDL_syssem_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond.c -> src/thread/SDL_syscond.c"
- old="$srcdir/src/thread/generic/SDL_syscond.c"
- new="$srcdir/src/thread/SDL_syscond.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond_c.h -> src/thread/SDL_syscond_c.h"
- old="$srcdir/src/thread/generic/SDL_syscond_c.h"
- new="$srcdir/src/thread/SDL_syscond_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- # Check whether --enable-timers or --disable-timers was given.
- if test "${enable_timers+set}" = set; then
- enableval="$enable_timers"
- else
- enable_timers=yes
- fi;
- if test x$enable_timers = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS timer"
- SDL_EXTRALIBS="$SDL_EXTRALIBS timer/libtimer.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_TIMERS"
- fi
- # Check whether --enable-endian or --disable-endian was given.
- if test "${enable_endian+set}" = set; then
- enableval="$enable_endian"
- else
- enable_endian=yes
- fi;
- if test x$enable_endian = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS endian"
- SDL_EXTRALIBS="$SDL_EXTRALIBS endian/libendian.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_ENDIAN"
- fi
- # Check whether --enable-file or --disable-file was given.
- if test "${enable_file+set}" = set; then
- enableval="$enable_file"
- else
- enable_file=yes
- fi;
- if test x$enable_file = xyes; then
- SDL_EXTRADIRS="$SDL_EXTRADIRS file"
- SDL_EXTRALIBS="$SDL_EXTRALIBS file/libfile.la"
- else
- CFLAGS="$CFLAGS -DDISABLE_FILE"
- fi
- CheckOSS()
- {
- # Check whether --enable-oss or --disable-oss was given.
- if test "${enable_oss+set}" = set; then
- enableval="$enable_oss"
- else
- enable_oss=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_oss = xyes; then
- echo "$as_me:$LINENO: checking for OSS audio support" >&5
- echo $ECHO_N "checking for OSS audio support... $ECHO_C" >&6
- have_oss=no
- if test x$have_oss != xyes; then
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <sys/soundcard.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- int arg = SNDCTL_DSP_SETFRAGMENT;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_oss=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- fi
- if test x$have_oss != xyes; then
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <soundcard.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- int arg = SNDCTL_DSP_SETFRAGMENT;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_oss=yes
- CFLAGS="$CFLAGS -DOSS_USE_SOUNDCARD_H"
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $have_oss" >&5
- echo "${ECHO_T}$have_oss" >&6
- if test x$have_oss = xyes; then
- CFLAGS="$CFLAGS -DOSS_SUPPORT"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS dsp"
- AUDIO_DRIVERS="$AUDIO_DRIVERS dsp/libaudio_dsp.la"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS dma"
- AUDIO_DRIVERS="$AUDIO_DRIVERS dma/libaudio_dma.la"
- fi
- fi
- }
- CheckALSA()
- {
- # Check whether --enable-alsa or --disable-alsa was given.
- if test "${enable_alsa+set}" = set; then
- enableval="$enable_alsa"
- else
- enable_alsa=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_alsa = xyes; then
- have_alsa=no
- echo "$as_me:$LINENO: checking for ANSI C header files" >&5
- echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
- if test "${ac_cv_header_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdlib.h>
- #include <stdarg.h>
- #include <string.h>
- #include <float.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- ac_cv_header_stdc=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_header_stdc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- if test $ac_cv_header_stdc = yes; then
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <string.h>
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- egrep "memchr" >/dev/null 2>&1; then
- :
- else
- ac_cv_header_stdc=no
- fi
- rm -f conftest*
- fi
- if test $ac_cv_header_stdc = yes; then
- # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdlib.h>
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- egrep "free" >/dev/null 2>&1; then
- :
- else
- ac_cv_header_stdc=no
- fi
- rm -f conftest*
- fi
- if test $ac_cv_header_stdc = yes; then
- # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- if test "$cross_compiling" = yes; then
- :
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <ctype.h>
- #if ((' ' & 0x0FF) == 0x020)
- # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
- # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
- #else
- # define ISLOWER(c) (('a' <= (c) && (c) <= 'i')
- || ('j' <= (c) && (c) <= 'r')
- || ('s' <= (c) && (c) <= 'z'))
- # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
- #endif
- #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
- int
- main ()
- {
- int i;
- for (i = 0; i < 256; i++)
- if (XOR (islower (i), ISLOWER (i))
- || toupper (i) != TOUPPER (i))
- exit(2);
- exit (0);
- }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ( exit $ac_status )
- ac_cv_header_stdc=no
- fi
- rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
- echo "${ECHO_T}$ac_cv_header_stdc" >&6
- if test $ac_cv_header_stdc = yes; then
- cat >>confdefs.h <<_ACEOF
- #define STDC_HEADERS 1
- _ACEOF
- fi
- # On IRIX 5.3, sys/types and inttypes.h are conflicting.
- for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h
- inttypes.h stdint.h unistd.h
- do
- as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- $ac_includes_default
- #include <$ac_header>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_Header=yes"
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- eval "$as_ac_Header=no"
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- if test `eval echo '${'$as_ac_Header'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- if test "${ac_cv_header_sys_asoundlib_h+set}" = set; then
- echo "$as_me:$LINENO: checking for sys/asoundlib.h" >&5
- echo $ECHO_N "checking for sys/asoundlib.h... $ECHO_C" >&6
- if test "${ac_cv_header_sys_asoundlib_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_sys_asoundlib_h" >&5
- echo "${ECHO_T}$ac_cv_header_sys_asoundlib_h" >&6
- else
- # Is the header compilable?
- echo "$as_me:$LINENO: checking sys/asoundlib.h usability" >&5
- echo $ECHO_N "checking sys/asoundlib.h usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- $ac_includes_default
- #include <sys/asoundlib.h>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_compiler=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- # Is the header present?
- echo "$as_me:$LINENO: checking sys/asoundlib.h presence" >&5
- echo $ECHO_N "checking sys/asoundlib.h presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <sys/asoundlib.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- # So? What about this header?
- case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: sys/asoundlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: sys/asoundlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: sys/asoundlib.h: proceeding with the preprocessor's result" >&5
- echo "$as_me: WARNING: sys/asoundlib.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: sys/asoundlib.h: present but cannot be compiled" >&5
- echo "$as_me: WARNING: sys/asoundlib.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: sys/asoundlib.h: check for missing prerequisite headers?" >&5
- echo "$as_me: WARNING: sys/asoundlib.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: sys/asoundlib.h: proceeding with the preprocessor's result" >&5
- echo "$as_me: WARNING: sys/asoundlib.h: proceeding with the preprocessor's result" >&2;};;
- esac
- echo "$as_me:$LINENO: checking for sys/asoundlib.h" >&5
- echo $ECHO_N "checking for sys/asoundlib.h... $ECHO_C" >&6
- if test "${ac_cv_header_sys_asoundlib_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_cv_header_sys_asoundlib_h=$ac_header_preproc
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_sys_asoundlib_h" >&5
- echo "${ECHO_T}$ac_cv_header_sys_asoundlib_h" >&6
- fi
- if test $ac_cv_header_sys_asoundlib_h = yes; then
- have_alsa_hdr=yes
- fi
- echo "$as_me:$LINENO: checking for snd_pcm_open in -lasound" >&5
- echo $ECHO_N "checking for snd_pcm_open in -lasound... $ECHO_C" >&6
- if test "${ac_cv_lib_asound_snd_pcm_open+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lasound $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char snd_pcm_open ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- snd_pcm_open ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_asound_snd_pcm_open=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_asound_snd_pcm_open=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_asound_snd_pcm_open" >&5
- echo "${ECHO_T}$ac_cv_lib_asound_snd_pcm_open" >&6
- if test $ac_cv_lib_asound_snd_pcm_open = yes; then
- have_alsa_lib=yes
- fi
- if test x$have_alsa_hdr = xyes -a x$have_alsa_lib = xyes; then
- CFLAGS="$CFLAGS -DALSA_SUPPORT"
- SYSTEM_LIBS="$SYSTEM_LIBS -lasound"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS alsa"
- AUDIO_DRIVERS="$AUDIO_DRIVERS alsa/libaudio_alsa.la"
- fi
- fi
- }
- CheckOPENBSDAUDIO()
- {
- # Check whether --enable-openbsdaudio or --disable-openbsdaudio was given.
- if test "${enable_openbsdaudio+set}" = set; then
- enableval="$enable_openbsdaudio"
- else
- enable_openbsdaudio=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_openbsdaudio = xyes; then
- CFLAGS="$CFLAGS -DOPENBSD_AUDIO_SUPPORT"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS openbsd"
- AUDIO_DRIVERS="$AUDIO_DRIVERS openbsd/libaudio_openbsd.la"
- fi
- }
- CheckDMEDIA()
- {
- if test x$enable_audio = xyes; then
- echo "$as_me:$LINENO: checking for dmedia audio support" >&5
- echo $ECHO_N "checking for dmedia audio support... $ECHO_C" >&6
- have_dmedia=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <dmedia/audio.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ALport audio_port;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_dmedia=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- # Set up files for the audio library
- if test x$have_dmedia = xyes; then
- CFLAGS="$CFLAGS -DDMEDIA_SUPPORT"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS dmedia"
- AUDIO_DRIVERS="$AUDIO_DRIVERS dmedia/libaudio_dmedia.la"
- SYSTEM_LIBS="$SYSTEM_LIBS -laudio"
- fi
- fi
- }
- CheckESD()
- {
- # Check whether --enable-esd or --disable-esd was given.
- if test "${enable_esd+set}" = set; then
- enableval="$enable_esd"
- else
- enable_esd=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_esd = xyes; then
- use_esd=no
- # Check whether --with-esd-prefix or --without-esd-prefix was given.
- if test "${with_esd_prefix+set}" = set; then
- withval="$with_esd_prefix"
- esd_prefix="$withval"
- else
- esd_prefix=""
- fi;
- # Check whether --with-esd-exec-prefix or --without-esd-exec-prefix was given.
- if test "${with_esd_exec_prefix+set}" = set; then
- withval="$with_esd_exec_prefix"
- esd_exec_prefix="$withval"
- else
- esd_exec_prefix=""
- fi;
- # Check whether --enable-esdtest or --disable-esdtest was given.
- if test "${enable_esdtest+set}" = set; then
- enableval="$enable_esdtest"
- else
- enable_esdtest=yes
- fi;
- if test x$esd_exec_prefix != x ; then
- esd_args="$esd_args --exec-prefix=$esd_exec_prefix"
- if test x${ESD_CONFIG+set} != xset ; then
- ESD_CONFIG=$esd_exec_prefix/bin/esd-config
- fi
- fi
- if test x$esd_prefix != x ; then
- esd_args="$esd_args --prefix=$esd_prefix"
- if test x${ESD_CONFIG+set} != xset ; then
- ESD_CONFIG=$esd_prefix/bin/esd-config
- fi
- fi
- # Extract the first word of "esd-config", so it can be a program name with args.
- set dummy esd-config; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_ESD_CONFIG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $ESD_CONFIG in
- [\/]* | ?:[\/]*)
- ac_cv_path_ESD_CONFIG="$ESD_CONFIG" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_ESD_CONFIG="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- test -z "$ac_cv_path_ESD_CONFIG" && ac_cv_path_ESD_CONFIG="no"
- ;;
- esac
- fi
- ESD_CONFIG=$ac_cv_path_ESD_CONFIG
- if test -n "$ESD_CONFIG"; then
- echo "$as_me:$LINENO: result: $ESD_CONFIG" >&5
- echo "${ECHO_T}$ESD_CONFIG" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- min_esd_version=0.2.8
- echo "$as_me:$LINENO: checking for ESD - version >= $min_esd_version" >&5
- echo $ECHO_N "checking for ESD - version >= $min_esd_version... $ECHO_C" >&6
- no_esd=""
- if test "$ESD_CONFIG" = "no" ; then
- no_esd=yes
- else
- ESD_CFLAGS=`$ESD_CONFIG $esdconf_args --cflags`
- ESD_LIBS=`$ESD_CONFIG $esdconf_args --libs`
- esd_major_version=`$ESD_CONFIG $esd_args --version |
- sed 's/([0-9]*).([0-9]*).([0-9]*)/1/'`
- esd_minor_version=`$ESD_CONFIG $esd_args --version |
- sed 's/([0-9]*).([0-9]*).([0-9]*)/2/'`
- esd_micro_version=`$ESD_CONFIG $esd_config_args --version |
- sed 's/([0-9]*).([0-9]*).([0-9]*)/3/'`
- if test "x$enable_esdtest" = "xyes" ; then
- ac_save_CFLAGS="$CFLAGS"
- ac_save_LIBS="$LIBS"
- CFLAGS="$CFLAGS $ESD_CFLAGS"
- LIBS="$LIBS $ESD_LIBS"
- rm -f conf.esdtest
- if test "$cross_compiling" = yes; then
- echo $ac_n "cross compiling; assumed OK... $ac_c"
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdio.h>
- #include <stdlib.h>
- #include <string.h>
- #include <esd.h>
- char*
- my_strdup (char *str)
- {
- char *new_str;
- if (str)
- {
- new_str = malloc ((strlen (str) + 1) * sizeof(char));
- strcpy (new_str, str);
- }
- else
- new_str = NULL;
- return new_str;
- }
- int main ()
- {
- int major, minor, micro;
- char *tmp_version;
- system ("touch conf.esdtest");
- /* HP/UX 9 (%@#!) writes to sscanf strings */
- tmp_version = my_strdup("$min_esd_version");
- if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, µ) != 3) {
- printf("%s, bad version stringn", "$min_esd_version");
- exit(1);
- }
- if (($esd_major_version > major) ||
- (($esd_major_version == major) && ($esd_minor_version > minor)) ||
- (($esd_major_version == major) && ($esd_minor_version == minor) && ($esd_micro_version >= micro)))
- {
- return 0;
- }
- else
- {
- printf("n*** 'esd-config --version' returned %d.%d.%d, but the minimum versionn", $esd_major_version, $esd_minor_version, $esd_micro_version);
- printf("*** of ESD required is %d.%d.%d. If esd-config is correct, then it isn", major, minor, micro);
- printf("*** best to upgrade to the required version.n");
- printf("*** If esd-config was wrong, set the environment variable ESD_CONFIGn");
- printf("*** to point to the correct copy of esd-config, and remove the filen");
- printf("*** config.cache before re-running configuren");
- return 1;
- }
- }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ( exit $ac_status )
- no_esd=yes
- fi
- rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- CFLAGS="$ac_save_CFLAGS"
- LIBS="$ac_save_LIBS"
- fi
- fi
- if test "x$no_esd" = x ; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- use_esd=yes
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- if test "$ESD_CONFIG" = "no" ; then
- echo "*** The esd-config script installed by ESD could not be found"
- echo "*** If ESD was installed in PREFIX, make sure PREFIX/bin is in"
- echo "*** your path, or set the ESD_CONFIG environment variable to the"
- echo "*** full path to esd-config."
- else
- if test -f conf.esdtest ; then
- :
- else
- echo "*** Could not run ESD test program, checking why..."
- CFLAGS="$CFLAGS $ESD_CFLAGS"
- LIBS="$LIBS $ESD_LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <stdio.h>
- #include <esd.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "*** The test program compiled, but did not run. This usually means"
- echo "*** that the run-time linker is not finding ESD or finding the wrong"
- echo "*** version of ESD. If it is not finding ESD, you'll need to set your"
- echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
- echo "*** to the installed location Also, make sure you have run ldconfig if that"
- echo "*** is required on your system"
- echo "***"
- echo "*** If you have an old version installed, it is best to remove it, although"
- echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "*** The test program failed to compile or link. See the file config.log for the"
- echo "*** exact error that occured. This usually means ESD was incorrectly installed"
- echo "*** or that you have moved ESD since it was installed. In the latter case, you"
- echo "*** may want to edit the esd-config script: $ESD_CONFIG"
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- CFLAGS="$ac_save_CFLAGS"
- LIBS="$ac_save_LIBS"
- fi
- fi
- ESD_CFLAGS=""
- ESD_LIBS=""
- :
- fi
- rm -f conf.esdtest
- if test x$use_esd = xyes; then
- # Check whether --enable-esd-shared or --disable-esd-shared was given.
- if test "${enable_esd_shared+set}" = set; then
- enableval="$enable_esd_shared"
- else
- enable_esd_shared=no
- fi;
- esd_lib_spec=`echo $ESD_LIBS | sed 's/.*-L([^ ]*).*/1/libesd.so.*/'`
- esd_lib=`ls $esd_lib_spec | head -1 | sed 's/.*/(.*)/1/'`
- echo "-- $esd_lib_spec -> $esd_lib"
- if test x$enable_dlopen != xyes &&
- test x$enable_esd_shared = xyes; then
- { { echo "$as_me:$LINENO: error: You must have dlopen() support and use the --enable-dlopen option" >&5
- echo "$as_me: error: You must have dlopen() support and use the --enable-dlopen option" >&2;}
- { (exit 1); exit 1; }; }
- fi
- if test x$enable_dlopen = xyes &&
- test x$enable_esd_shared = xyes && test x$esd_lib != x; then
- CFLAGS="$CFLAGS -DESD_SUPPORT -DESD_DYNAMIC=$(esd_lib) $ESD_CFLAGS"
- else
- CFLAGS="$CFLAGS -DESD_SUPPORT $ESD_CFLAGS"
- SYSTEM_LIBS="$SYSTEM_LIBS $ESD_LIBS"
- fi
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS esd"
- AUDIO_DRIVERS="$AUDIO_DRIVERS esd/libaudio_esd.la"
- fi
- fi
- }
- CheckARTSC()
- {
- # Check whether --enable-arts or --disable-arts was given.
- if test "${enable_arts+set}" = set; then
- enableval="$enable_arts"
- else
- enable_arts=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_arts = xyes; then
- # Extract the first word of "artsc-config", so it can be a program name with args.
- set dummy artsc-config; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_ARTSCCONFIG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $ARTSCCONFIG in
- [\/]* | ?:[\/]*)
- ac_cv_path_ARTSCCONFIG="$ARTSCCONFIG" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_ARTSCCONFIG="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- ;;
- esac
- fi
- ARTSCCONFIG=$ac_cv_path_ARTSCCONFIG
- if test -n "$ARTSCCONFIG"; then
- echo "$as_me:$LINENO: result: $ARTSCCONFIG" >&5
- echo "${ECHO_T}$ARTSCCONFIG" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- if test x$ARTSCCONFIG = x -o x$ARTSCCONFIG = x'"$ARTSCCONFIG"'; then
- : # arts isn't installed
- else
- ARTSC_CFLAGS=`$ARTSCCONFIG --cflags`
- ARTSC_LIBS=`$ARTSCCONFIG --libs`
- echo "$as_me:$LINENO: checking for aRts development environment" >&5
- echo $ECHO_N "checking for aRts development environment... $ECHO_C" >&6
- audio_arts=no
- save_CFLAGS="$CFLAGS"
- CFLAGS="$CFLAGS $ARTSC_CFLAGS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <artsc.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- arts_stream_t stream;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- audio_arts=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- CFLAGS="$save_CFLAGS"
- echo "$as_me:$LINENO: result: $audio_arts" >&5
- echo "${ECHO_T}$audio_arts" >&6
- if test x$audio_arts = xyes; then
- # Check whether --enable-arts-shared or --disable-arts-shared was given.
- if test "${enable_arts_shared+set}" = set; then
- enableval="$enable_arts_shared"
- else
- enable_arts_shared=no
- fi;
- arts_lib_spec=`echo $ARTSC_LIBS | sed 's/.*-L([^ ]*).*/1/libartsc.so.*/'`
- arts_lib=`ls $arts_lib_spec | head -1 | sed 's/.*/(.*)/1/'`
- echo "-- $arts_lib_spec -> $arts_lib"
- if test x$enable_dlopen != xyes &&
- test x$enable_arts_shared = xyes; then
- { { echo "$as_me:$LINENO: error: You must have dlopen() support and use the --enable-dlopen option" >&5
- echo "$as_me: error: You must have dlopen() support and use the --enable-dlopen option" >&2;}
- { (exit 1); exit 1; }; }
- fi
- if test x$enable_dlopen = xyes &&
- test x$enable_arts_shared = xyes && test x$arts_lib != x; then
- CFLAGS="$CFLAGS -DARTSC_SUPPORT -DARTSC_DYNAMIC=$(arts_lib) $ARTSC_CFLAGS"
- else
- CFLAGS="$CFLAGS -DARTSC_SUPPORT $ARTSC_CFLAGS"
- SYSTEM_LIBS="$SYSTEM_LIBS $ARTSC_LIBS"
- fi
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS arts"
- AUDIO_DRIVERS="$AUDIO_DRIVERS arts/libaudio_arts.la"
- fi
- fi
- fi
- }
- CheckNAS()
- {
- # Check whether --enable-nas or --disable-nas was given.
- if test "${enable_nas+set}" = set; then
- enableval="$enable_nas"
- else
- enable_nas=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_nas = xyes; then
- echo "$as_me:$LINENO: checking for NAS audio support" >&5
- echo $ECHO_N "checking for NAS audio support... $ECHO_C" >&6
- have_nas=no
- if test -r /usr/X11R6/include/audio/audiolib.h; then
- have_nas=yes
- fi
- echo "$as_me:$LINENO: result: $have_nas" >&5
- echo "${ECHO_T}$have_nas" >&6
- if test x$have_nas = xyes; then
- CFLAGS="$CFLAGS -DNAS_SUPPORT"
- SYSTEM_LIBS="$SYSTEM_LIBS -laudio -lXt"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS nas"
- AUDIO_DRIVERS="$AUDIO_DRIVERS nas/libaudio_nas.la"
- fi
- fi
- }
- CheckDiskAudio()
- {
- # Check whether --enable-diskaudio or --disable-diskaudio was given.
- if test "${enable_diskaudio+set}" = set; then
- enableval="$enable_diskaudio"
- else
- enable_diskaudio=yes
- fi;
- if test x$enable_audio = xyes -a x$enable_diskaudio = xyes; then
- CFLAGS="$CFLAGS -DDISKAUD_SUPPORT"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS disk"
- AUDIO_DRIVERS="$AUDIO_DRIVERS disk/libaudio_disk.la"
- fi
- }
- # NASM is available from: http://nasm.octium.net/
- CheckNASM()
- {
- case $target in
- i?86*)
- ;;
- *)
- # Nope, bail early.
- return
- ;;
- esac
- # Check whether --enable-nasm or --disable-nasm was given.
- if test "${enable_nasm+set}" = set; then
- enableval="$enable_nasm"
- else
- enable_nasm=yes
- fi;
- if test x$enable_video = xyes -a x$enable_nasm = xyes; then
- # Extract the first word of "nasm", so it can be a program name with args.
- set dummy nasm; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_NASM+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $NASM in
- [\/]* | ?:[\/]*)
- ac_cv_path_NASM="$NASM" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_NASM="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- ;;
- esac
- fi
- NASM=$ac_cv_path_NASM
- if test -n "$NASM"; then
- echo "$as_me:$LINENO: result: $NASM" >&5
- echo "${ECHO_T}$NASM" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- if test x$NASM = x -o x$NASM = x'"$NASM"'; then
- : # nasm isn't installed
- else
- CFLAGS="$CFLAGS -DUSE_ASMBLIT -I$srcdir/hermes"
- case $ARCH in
- win32)
- NASMFLAGS="-f win32"
- ;;
- *)
- NASMFLAGS="-f elf"
- ;;
- esac
- CFLAGS="$CFLAGS -I$(top_srcdir)/src/hermes"
- SDL_EXTRADIRS="$SDL_EXTRADIRS hermes"
- SDL_EXTRALIBS="$SDL_EXTRALIBS hermes/libhermes.la"
- fi
- fi
- }
- CheckNANOX()
- {
- # Check whether --enable-video-nanox or --disable-video-nanox was given.
- if test "${enable_video_nanox+set}" = set; then
- enableval="$enable_video_nanox"
- else
- enable_video_nanox=no
- fi;
- # Check whether --enable-nanox-debug or --disable-nanox-debug was given.
- if test "${enable_nanox_debug+set}" = set; then
- enableval="$enable_nanox_debug"
- else
- enable_nanox_debug=no
- fi;
- # Check whether --enable-nanox-share-memory or --disable-nanox-share-memory was given.
- if test "${enable_nanox_share_memory+set}" = set; then
- enableval="$enable_nanox_share_memory"
- else
- enable_nanox_share_memory=no
- fi;
- # Check whether --with-nanox_pixel_type or --without-nanox_pixel_type was given.
- if test "${with_nanox_pixel_type+set}" = set; then
- withval="$with_nanox_pixel_type"
- fi;
- if test x$enable_video = xyes -a x$enable_video_nanox = xyes; then
- if test x$enable_nanox_debug = xyes; then
- CFLAGS="$CFLAGS -DENABLE_NANOX_DEBUG"
- fi
- if test x$enable_nanox_share_memory = xyes; then
- CFLAGS="$CFLAGS -DNANOX_SHARE_MEMORY"
- fi
- case "$with_nanox_pixel_type" in
- rgb) CFLAGS="$CFLAGS -DNANOX_PIXEL_RGB" ;;
- 0888) CFLAGS="$CFLAGS -DNANOX_PIXEL_0888" ;;
- 888) CFLAGS="$CFLAGS -DNANOX_PIXEL_888" ;;
- 565) CFLAGS="$CFLAGS -DNANOX_PIXEL_565" ;;
- 555) CFLAGS="$CFLAGS -DNANOX_PIXEL_555" ;;
- 332) CFLAGS="$CFLAGS -DNANOX_PIXEL_332" ;;
- pal) CFLAGS="$CFLAGS -DNANOX_PIXEL_PAL" ;;
- *) { { echo "$as_me:$LINENO: error: Invalid nanox_pixel_type" >&5
- echo "$as_me: error: Invalid nanox_pixel_type" >&2;}
- { (exit 1); exit 1; }; };;
- esac
- CFLAGS="$CFLAGS $X_CFLAGS -DENABLE_NANOX"
- SYSTEM_LIBS="$SYSTEM_LIBS -lnano-X"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS nanox"
- VIDEO_DRIVERS="$VIDEO_DRIVERS nanox/libvideo_nanox.la"
- fi
- }
- CheckX11()
- {
- # Check whether --enable-video-x11 or --disable-video-x11 was given.
- if test "${enable_video_x11+set}" = set; then
- enableval="$enable_video_x11"
- else
- enable_video_x11=yes
- fi;
- if test x$enable_video = xyes -a x$enable_video_x11 = xyes; then
- echo "$as_me:$LINENO: checking for X" >&5
- echo $ECHO_N "checking for X... $ECHO_C" >&6
- # Check whether --with-x or --without-x was given.
- if test "${with_x+set}" = set; then
- withval="$with_x"
- fi;
- # $have_x is `yes', `no', `disabled', or empty when we do not yet know.
- if test "x$with_x" = xno; then
- # The user explicitly disabled X.
- have_x=disabled
- else
- if test "x$x_includes" != xNONE && test "x$x_libraries" != xNONE; then
- # Both variables are already set.
- have_x=yes
- else
- if test "${ac_cv_have_x+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- # One or both of the vars are not set, and there is no cached value.
- ac_x_includes=no ac_x_libraries=no
- rm -fr conftest.dir
- if mkdir conftest.dir; then
- cd conftest.dir
- # Make sure to not put "make" in the Imakefile rules, since we grep it out.
- cat >Imakefile <<'_ACEOF'
- acfindx:
- @echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}"; ac_im_libdir="${LIBDIR}"'
- _ACEOF
- if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
- # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
- eval `${MAKE-make} acfindx 2>/dev/null | grep -v make`
- # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
- for ac_extension in a so sl; do
- if test ! -f $ac_im_usrlibdir/libX11.$ac_extension &&
- test -f $ac_im_libdir/libX11.$ac_extension; then
- ac_im_usrlibdir=$ac_im_libdir; break
- fi
- done
- # Screen out bogus values from the imake configuration. They are
- # bogus both because they are the default anyway, and because
- # using them would break gcc on systems where it needs fixed includes.
- case $ac_im_incroot in
- /usr/include) ;;
- *) test -f "$ac_im_incroot/X11/Xos.h" && ac_x_includes=$ac_im_incroot;;
- esac
- case $ac_im_usrlibdir in
- /usr/lib | /lib) ;;
- *) test -d "$ac_im_usrlibdir" && ac_x_libraries=$ac_im_usrlibdir ;;
- esac
- fi
- cd ..
- rm -fr conftest.dir
- fi
- # Standard set of common directories for X headers.
- # Check X11 before X11Rn because it is often a symlink to the current release.
- ac_x_header_dirs='
- /usr/X11/include
- /usr/X11R6/include
- /usr/X11R5/include
- /usr/X11R4/include
- /usr/include/X11
- /usr/include/X11R6
- /usr/include/X11R5
- /usr/include/X11R4
- /usr/local/X11/include
- /usr/local/X11R6/include
- /usr/local/X11R5/include
- /usr/local/X11R4/include
- /usr/local/include/X11
- /usr/local/include/X11R6
- /usr/local/include/X11R5
- /usr/local/include/X11R4
- /usr/X386/include
- /usr/x386/include
- /usr/XFree86/include/X11
- /usr/include
- /usr/local/include
- /usr/unsupported/include
- /usr/athena/include
- /usr/local/x11r5/include
- /usr/lpp/Xamples/include
- /usr/openwin/include
- /usr/openwin/share/include'
- if test "$ac_x_includes" = no; then
- # Guess where to find include files, by looking for Intrinsic.h.
- # First, try using that file with no special directory specified.
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Intrinsic.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- # We can compile using X headers with no special include directory.
- ac_x_includes=
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- for ac_dir in $ac_x_header_dirs; do
- if test -r "$ac_dir/X11/Intrinsic.h"; then
- ac_x_includes=$ac_dir
- break
- fi
- done
- fi
- rm -f conftest.err conftest.$ac_ext
- fi # $ac_x_includes = no
- if test "$ac_x_libraries" = no; then
- # Check for the libraries.
- # See if we find them without any special options.
- # Don't add to $LIBS permanently.
- ac_save_LIBS=$LIBS
- LIBS="-lXt $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Intrinsic.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- XtMalloc (0)
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- LIBS=$ac_save_LIBS
- # We can link X programs with no special library path.
- ac_x_libraries=
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- LIBS=$ac_save_LIBS
- for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
- do
- # Don't even attempt the hair of trying to link an X program!
- for ac_extension in a so sl; do
- if test -r $ac_dir/libXt.$ac_extension; then
- ac_x_libraries=$ac_dir
- break 2
- fi
- done
- done
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi # $ac_x_libraries = no
- if test "$ac_x_includes" = no || test "$ac_x_libraries" = no; then
- # Didn't find X anywhere. Cache the known absence of X.
- ac_cv_have_x="have_x=no"
- else
- # Record where we found X for the cache.
- ac_cv_have_x="have_x=yes
- ac_x_includes=$ac_x_includes ac_x_libraries=$ac_x_libraries"
- fi
- fi
- fi
- eval "$ac_cv_have_x"
- fi # $with_x != no
- if test "$have_x" != yes; then
- echo "$as_me:$LINENO: result: $have_x" >&5
- echo "${ECHO_T}$have_x" >&6
- no_x=yes
- else
- # If each of the values was on the command line, it overrides each guess.
- test "x$x_includes" = xNONE && x_includes=$ac_x_includes
- test "x$x_libraries" = xNONE && x_libraries=$ac_x_libraries
- # Update the cache value to reflect the command line values.
- ac_cv_have_x="have_x=yes
- ac_x_includes=$x_includes ac_x_libraries=$x_libraries"
- echo "$as_me:$LINENO: result: libraries $x_libraries, headers $x_includes" >&5
- echo "${ECHO_T}libraries $x_libraries, headers $x_includes" >&6
- fi
- if test "$no_x" = yes; then
- # Not all programs may use this symbol, but it does not hurt to define it.
- cat >>confdefs.h <<_ACEOF
- #define X_DISPLAY_MISSING 1
- _ACEOF
- X_CFLAGS= X_PRE_LIBS= X_LIBS= X_EXTRA_LIBS=
- else
- if test -n "$x_includes"; then
- X_CFLAGS="$X_CFLAGS -I$x_includes"
- fi
- # It would also be nice to do this for all -L options, not just this one.
- if test -n "$x_libraries"; then
- X_LIBS="$X_LIBS -L$x_libraries"
- # For Solaris; some versions of Sun CC require a space after -R and
- # others require no space. Words are not sufficient . . . .
- case `(uname -sr) 2>/dev/null` in
- "SunOS 5"*)
- echo "$as_me:$LINENO: checking whether -R must be followed by a space" >&5
- echo $ECHO_N "checking whether -R must be followed by a space... $ECHO_C" >&6
- ac_xsave_LIBS=$LIBS; LIBS="$LIBS -R$x_libraries"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_R_nospace=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_R_nospace=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- if test $ac_R_nospace = yes; then
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- X_LIBS="$X_LIBS -R$x_libraries"
- else
- LIBS="$ac_xsave_LIBS -R $x_libraries"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_R_space=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_R_space=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- if test $ac_R_space = yes; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- X_LIBS="$X_LIBS -R $x_libraries"
- else
- echo "$as_me:$LINENO: result: neither works" >&5
- echo "${ECHO_T}neither works" >&6
- fi
- fi
- LIBS=$ac_xsave_LIBS
- esac
- fi
- # Check for system-dependent libraries X programs must link with.
- # Do this before checking for the system-independent R6 libraries
- # (-lICE), since we may need -lsocket or whatever for X linking.
- if test "$ISC" = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl_s -linet"
- else
- # Martyn Johnson says this is needed for Ultrix, if the X
- # libraries were built with DECnet support. And Karl Berry says
- # the Alpha needs dnet_stub (dnet does not exist).
- ac_xsave_LIBS="$LIBS"; LIBS="$LIBS $X_LIBS -lX11"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char XOpenDisplay ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- XOpenDisplay ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet" >&5
- echo $ECHO_N "checking for dnet_ntoa in -ldnet... $ECHO_C" >&6
- if test "${ac_cv_lib_dnet_dnet_ntoa+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-ldnet $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char dnet_ntoa ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- dnet_ntoa ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_dnet_dnet_ntoa=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_dnet_dnet_ntoa=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_dnet_ntoa" >&5
- echo "${ECHO_T}$ac_cv_lib_dnet_dnet_ntoa" >&6
- if test $ac_cv_lib_dnet_dnet_ntoa = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet"
- fi
- if test $ac_cv_lib_dnet_dnet_ntoa = no; then
- echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet_stub" >&5
- echo $ECHO_N "checking for dnet_ntoa in -ldnet_stub... $ECHO_C" >&6
- if test "${ac_cv_lib_dnet_stub_dnet_ntoa+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-ldnet_stub $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char dnet_ntoa ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- dnet_ntoa ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_dnet_stub_dnet_ntoa=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_dnet_stub_dnet_ntoa=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_stub_dnet_ntoa" >&5
- echo "${ECHO_T}$ac_cv_lib_dnet_stub_dnet_ntoa" >&6
- if test $ac_cv_lib_dnet_stub_dnet_ntoa = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub"
- fi
- fi
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS="$ac_xsave_LIBS"
- # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
- # to get the SysV transport functions.
- # Chad R. Larson says the Pyramis MIS-ES running DC/OSx (SVR4)
- # needs -lnsl.
- # The nsl library prevents programs from opening the X display
- # on Irix 5.2, according to T.E. Dickey.
- # The functions gethostbyname, getservbyname, and inet_addr are
- # in -lbsd on LynxOS 3.0.1/i386, according to Lars Hecking.
- echo "$as_me:$LINENO: checking for gethostbyname" >&5
- echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
- if test "${ac_cv_func_gethostbyname+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char gethostbyname (); below. */
- #include <assert.h>
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char gethostbyname ();
- char (*f) ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
- choke me
- #else
- f = gethostbyname;
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_gethostbyname=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_func_gethostbyname=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
- echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
- if test $ac_cv_func_gethostbyname = no; then
- echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
- echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
- if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lnsl $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char gethostbyname ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {